% start with empty coordinate matrix
bits=4;
PolarX = [];
PolarY = [];
% for quantized values of r
for r = linspace( 0, 1, 2^bits+1 )
% for quantized values of phi
for phi = linspace( -pi, pi, 2^bits+1 )
% calculate poles
PolarX = [ PolarX r*cos(phi) r*cos(phi) ];
PolarY = [ PolarY r*sin(phi) r*sin(phi) ];
end;
end;
% unit circle
phi = linspace( -2*pi, 2*pi, 1000 );
UnityX = cos(phi);
UnityY = sin(phi);
% plot
subplot(111);
plot( PolarX, PolarY, '.k', UnityX, UnityY,'b');
axis( [ -1 1 -1 1 ] );
axis equal;
title( 'pole distribution (polar form)');
xlabel('Re(z) \rightarrow');
ylabel('Im(z) \rightarrow');
print('chap_ex6_5_2','-depsc2');